MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029074Open CASCADE[OCCT] OCCT:Visualizationpublic2017-09-01 17:452018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029074: Visualization, TKOpenGl - support Geometry Shader definition
DescriptionCurrently, Graphic3d_TypeOfShaderObject defines only Vertex and Fragment shader object types. It is desired supporting Geometry shader object as well.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberv3d glsl geom1,v3d glsl tess1
Attached Filespng file icon occ_geom1.png (3,801 bytes) 2017-09-02 00:00
png file icon occ_tess1.png (7,655 bytes) 2017-09-02 00:01

- Relationships
related to 0028069closedbugmaster Open CASCADE Visualization, TKOpenGl - handle flat shading model within GLSL programs 
related to 0024838newkgv Open CASCADE Visualization, TKOpenGl - make general rendering path compatible with OpenGL 3.1+ core profiles 

-  Notes
(0070143)
git (administrator)
2017-09-01 17:50

Branch CR29074 has been created by kgv.

SHA-1: 0b6b1ed23c67e4a2080c1da431878bfcc35974d9


Detailed log of new commits:

Author: kgv
Date: Fri Sep 1 17:45:49 2017 +0300

    0029074: Visualization, TKOpenGl - support Geometry Shader definition
    
    Graphic3d_TypeOfShaderObject enumeration has been extended by Geometry shader object type.
    OpenGl_ShaderProgram::Initialize() processes new shader object types when supported by OpenGL version.
    Declarations.glsl has been fixed so that occFragColor is defined only for
    Fragment Shader object only (by handling new FRAGMENT_SHADER macros).
    
    vshader Draw Harness command has been extended to support definition
    of Shader Object types other than Vertex and Fragment shader.
(0070145)
git (administrator)
2017-09-01 20:06

Branch CR29074 has been updated forcibly by kgv.

SHA-1: 225da4a98953e90140200e6405429f2f42237d99
(0070146)
git (administrator)
2017-09-01 23:33

Branch CR29074 has been updated forcibly by kgv.

SHA-1: 4646e990df792eb42599e0f82d8a4febe8ef35d0
(0070147)
git (administrator)
2017-09-01 23:58

Branch CR29074 has been updated forcibly by kgv.

SHA-1: a76b16ab7af6a8572a3264530cc371510af82e1b
(0070148)
kgv (developer)
2017-09-02 00:03
edited on: 2017-09-02 08:20

Patch is ready for review.

http://occt-tests/CR29074-master-KGV-OCCT [^]

(0070149)
git (administrator)
2017-09-02 17:40

Branch CR29074 has been updated forcibly by kgv.

SHA-1: f63a913ca609d335c6be756e20f77604914d14bb
(0070150)
git (administrator)
2017-09-02 17:41

Branch CR29074 has been updated by kgv.

SHA-1: 2ae804dcec75c436c025f155004a56a6873546c3


Detailed log of new commits:

Author: kgv
Date: Fri Sep 1 17:45:49 2017 +0300

    # cosmetics; improved documentation of Graphic3d_ArrayOfPrimitives class

(0070151)
git (administrator)
2017-09-02 17:43

Branch CR29074_1 has been created by kgv.

SHA-1: eda3a6d361de34006454674826a1d371b96b6788


Detailed log of new commits:

Author: kgv
Date: Fri Sep 1 17:45:49 2017 +0300

    0029074: Visualization, TKOpenGl - support Geometry Shader definition
    
    Graphic3d_TypeOfShaderObject enumeration has been extended by Geometry shader object type.
    OpenGl_ShaderProgram::Initialize() processes new shader object types when supported by OpenGL version.
    Declarations.glsl has been fixed so that occFragColor is defined only for
    Fragment Shader object only (by handling new FRAGMENT_SHADER macros).
    
    Improved documentation of Graphic3d_ArrayOfPrimitives class.
    
    vshader Draw Harness command has been extended to support definition
    of Shader Object types other than Vertex and Fragment shader.
(0070152)
git (administrator)
2017-09-02 18:30

Branch CR29074_1 has been updated forcibly by kgv.

SHA-1: b71f932737dffb75354fbe2ab71949238f8cd927
(0070228)
git (administrator)
2017-09-05 09:28

Branch CR29074_1 has been updated forcibly by kgv.

SHA-1: 5e0cf14271bc00b675ff0755ff421504f0c2c6bb
(0070291)
san (developer)
2017-09-06 19:18

Branch CR29074_1 reviewed without remarks, ready for testing.
(0070301)
bugmaster (administrator)
2017-09-07 10:52

Combination -
OCCT branch : CR29074_1 SHA-1: 5e0cf14271bc00b675ff0755ff421504f0c2c6bb
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR29074_1-master-INV/ [^]

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 4 (4 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

New test cases are OK
(0071018)
git (administrator)
2017-09-29 17:11

Branch CR29074 has been deleted by kgv.

SHA-1: 2ae804dcec75c436c025f155004a56a6873546c3
(0071019)
git (administrator)
2017-09-29 17:11

Branch CR29074_1 has been deleted by kgv.

SHA-1: 5e0cf14271bc00b675ff0755ff421504f0c2c6bb

- Related Changesets
occt: master 7c697026
Timestamp: 2017-09-01 14:45:49
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029074: Visualization, TKOpenGl - support Geometry Shader definition

Graphic3d_TypeOfShaderObject enumeration has been extended by Geometry shader object type.
OpenGl_ShaderProgram::Initialize() processes new shader object types when supported by OpenGL version.
Declarations.glsl has been fixed so that occFragColor is defined only for
Fragment Shader object only (by handling new FRAGMENT_SHADER macros).

Improved documentation of Graphic3d_ArrayOfPrimitives class.

vshader Draw Harness command has been extended to support definition
of Shader Object types other than Vertex and Fragment shader.
mod - src/Graphic3d/FILES Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfPoints.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPoints.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfPolygons.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPolygons.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfPolylines.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPolylines.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfQuadrangles.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfQuadrangles.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfQuadrangleStrips.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfQuadrangleStrips.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfSegments.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfSegments.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfTriangleFans.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfTriangleFans.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfTriangles.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfTriangles.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfTriangleStrips.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfTriangleStrips.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TypeOfPrimitiveArray.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TypeOfShaderObject.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingAlgo.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.hxx Diff ] File ]
mod - src/Shaders/Declarations.glsl Diff ] File ]
mod - src/Shaders/Shaders_Declarations_glsl.pxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
rm - tests/v3d/glsl/begin Diff ] File ]
add - tests/v3d/glsl/geom1 Diff ] File ]
mod - tests/v3d/glsl/gouraud_dir1 Diff ] File ]
mod - tests/v3d/glsl/gouraud_dir2 Diff ] File ]
mod - tests/v3d/glsl/gouraud_pos1 Diff ] File ]
mod - tests/v3d/glsl/gouraud_spot1 Diff ] File ]
mod - tests/v3d/glsl/light_off Diff ] File ]
mod - tests/v3d/glsl/phong_box Diff ] File ]
mod - tests/v3d/glsl/phong_couple Diff ] File ]
mod - tests/v3d/glsl/phong_dir1 Diff ] File ]
mod - tests/v3d/glsl/phong_dir2 Diff ] File ]
mod - tests/v3d/glsl/phong_fuse Diff ] File ]
mod - tests/v3d/glsl/phong_fuse2 Diff ] File ]
mod - tests/v3d/glsl/phong_plastic Diff ] File ]
mod - tests/v3d/glsl/phong_pos1 Diff ] File ]
mod - tests/v3d/glsl/phong_sides Diff ] File ]
mod - tests/v3d/glsl/phong_spot1 Diff ] File ]
mod - tests/v3d/glsl/phong_views Diff ] File ]
mod - tests/v3d/glsl/rendscale Diff ] File ]
mod - tests/v3d/glsl/stereo Diff ] File ]
mod - tests/v3d/glsl/stipple_line Diff ] File ]
add - tests/v3d/glsl/tess1 Diff ] File ]
mod - tests/v3d/glsl/texture_multi1 Diff ] File ]
mod - tests/v3d/glsl/texture_trsf Diff ] File ]
mod - tests/v3d/glsl/tiles Diff ] File ]
occt: master 8e0a2b19
Timestamp: 2017-09-01 14:45:49
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029074: Visualization, TKOpenGl - support Geometry Shader definition

Graphic3d_TypeOfShaderObject enumeration has been extended by Geometry shader object type.
OpenGl_ShaderProgram::Initialize() processes new shader object types when supported by OpenGL version.
Declarations.glsl has been fixed so that occFragColor is defined only for
Fragment Shader object only (by handling new FRAGMENT_SHADER macros).

Improved documentation of Graphic3d_ArrayOfPrimitives class.

vshader Draw Harness command has been extended to support definition
of Shader Object types other than Vertex and Fragment shader.
mod - src/Graphic3d/FILES Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfPoints.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPoints.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfPolygons.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPolygons.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfPolylines.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPolylines.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfQuadrangles.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfQuadrangles.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfQuadrangleStrips.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfQuadrangleStrips.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfSegments.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfSegments.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfTriangleFans.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfTriangleFans.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfTriangles.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfTriangles.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ArrayOfTriangleStrips.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfTriangleStrips.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TypeOfPrimitiveArray.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TypeOfShaderObject.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingAlgo.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.hxx Diff ] File ]
mod - src/Shaders/Declarations.glsl Diff ] File ]
mod - src/Shaders/Shaders_Declarations_glsl.pxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
rm - tests/v3d/glsl/begin Diff ] File ]
add - tests/v3d/glsl/geom1 Diff ] File ]
mod - tests/v3d/glsl/gouraud_dir1 Diff ] File ]
mod - tests/v3d/glsl/gouraud_dir2 Diff ] File ]
mod - tests/v3d/glsl/gouraud_pos1 Diff ] File ]
mod - tests/v3d/glsl/gouraud_spot1 Diff ] File ]
mod - tests/v3d/glsl/light_off Diff ] File ]
mod - tests/v3d/glsl/phong_box Diff ] File ]
mod - tests/v3d/glsl/phong_couple Diff ] File ]
mod - tests/v3d/glsl/phong_dir1 Diff ] File ]
mod - tests/v3d/glsl/phong_dir2 Diff ] File ]
mod - tests/v3d/glsl/phong_fuse Diff ] File ]
mod - tests/v3d/glsl/phong_fuse2 Diff ] File ]
mod - tests/v3d/glsl/phong_plastic Diff ] File ]
mod - tests/v3d/glsl/phong_pos1 Diff ] File ]
mod - tests/v3d/glsl/phong_sides Diff ] File ]
mod - tests/v3d/glsl/phong_spot1 Diff ] File ]
mod - tests/v3d/glsl/phong_views Diff ] File ]
mod - tests/v3d/glsl/rendscale Diff ] File ]
mod - tests/v3d/glsl/stereo Diff ] File ]
mod - tests/v3d/glsl/stipple_line Diff ] File ]
add - tests/v3d/glsl/tess1 Diff ] File ]
mod - tests/v3d/glsl/texture_multi1 Diff ] File ]
mod - tests/v3d/glsl/texture_trsf Diff ] File ]
mod - tests/v3d/glsl/tiles Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-01 17:45 kgv New Issue
2017-09-01 17:45 kgv Assigned To => kgv
2017-09-01 17:50 git Note Added: 0070143
2017-09-01 17:51 kgv Relationship added related to 0028069
2017-09-01 17:52 kgv Relationship added related to 0024838
2017-09-01 20:06 git Note Added: 0070145
2017-09-01 23:33 git Note Added: 0070146
2017-09-01 23:58 git Note Added: 0070147
2017-09-02 00:00 kgv File Added: occ_geom1.png
2017-09-02 00:01 kgv File Added: occ_tess1.png
2017-09-02 00:03 kgv Note Added: 0070148
2017-09-02 00:03 kgv Assigned To kgv => san
2017-09-02 00:03 kgv Status new => resolved
2017-09-02 08:20 kgv Note Edited: 0070148 View Revisions
2017-09-02 17:40 git Note Added: 0070149
2017-09-02 17:41 git Note Added: 0070150
2017-09-02 17:43 git Note Added: 0070151
2017-09-02 18:30 git Note Added: 0070152
2017-09-02 22:55 kgv Relationship added related to 0029076
2017-09-05 09:28 git Note Added: 0070228
2017-09-06 19:18 san Note Added: 0070291
2017-09-06 19:18 san Assigned To san => bugmaster
2017-09-06 19:18 san Status resolved => reviewed
2017-09-07 10:33 bugmaster Test case number => v3d glsl geom1,v3d glsl tess1
2017-09-07 10:52 bugmaster Note Added: 0070301
2017-09-07 10:52 bugmaster Status reviewed => tested
2017-09-21 19:33 bugmaster Changeset attached => occt master 7c697026
2017-09-21 19:33 bugmaster Status tested => verified
2017-09-21 19:33 bugmaster Resolution open => fixed
2017-09-21 19:48 apn Target Version 7.4.0* => 7.2.0
2017-09-22 12:01 bugmaster Target Version 7.2.0 => 7.4.0*
2017-09-29 13:26 bugmaster Changeset attached => occt master 8e0a2b19
2017-09-29 17:11 git Note Added: 0071018
2017-09-29 17:11 git Note Added: 0071019
2018-02-20 12:59 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker